Bug 1199350 - Odd error message when attempting to migrate a stopped VM
Summary: Odd error message when attempting to migrate a stopped VM
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rgmanager
Version: 6.6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: rc
: ---
Assignee: Ryan McCabe
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-06 02:47 UTC by Madison Kelly
Modified: 2015-12-18 00:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-17 16:30:21 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Madison Kelly 2015-03-06 02:47:23 UTC
Description of problem:

I foolishly tried to migrate a VM service that was stopped.

[root@node1 ~]# clusvcadm -M vm:vm01-rhel6 -m node1.ccrs.bcn
Trying to migrate vm:vm01-rhel6 to node1.ccrs.bcn...Temporary failure; try again

The error written to syslog was:

Mar  6 02:43:05 node1 rgmanager[2865]: BUG! Attempt to forward to myself!

This could be a more useful message, I would think. Something like:

Trying to migrate vm:vm01-rhel6 to node1.ccrs.bcn...failure, vm is off

and

Mar  6 02:43:05 node1 rgmanager[2865]: Failed to migrate stopped VM.


Version-Release number of selected component (if applicable):

rgmanager-3.0.12.1-21.el6.x86_64


How reproducible:

100%, I think


Steps to Reproduce:
1. Stop a VM
2. Try to migrate it
3.

Actual results:

Odd error


Expected results:

An error politely telling me to wear a dunce cap.


Additional info:

Comment 3 Ryan McCabe 2015-12-17 16:30:21 UTC
Closing WONTFIX as only critical bugs are being accepted at this point in time for rgmanager.

Comment 4 Madison Kelly 2015-12-18 00:35:57 UTC
OK. Is this generally the take on cman/rgmanager from this point on? If so, then I'll consider the severity of future issues before opening future rhbz's. 

cheers


Note You need to log in before you can comment on or make changes to this bug.